##
 # version.mak
 # Copyright (C) 2013-2017 Peter Belkner <pbelkner@snafu.de>
 #
 # This file is part of the "Yet Another Shuffle" plug-in (gen_yas).
 #
 # gen_yas is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
 #
 # gen_yas is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
 # along with gen_yas.  If not, see <http://www.gnu.org/licenses/>.
##

# https://msdn.microsoft.com/en-us/library/0ecdhtes.aspx
APPVER_MAJOR=2
APPVER_MINOR=0
APPVER_BUILD=0
APPVER_REVISION=0
#APPVER_BETA=0
APPVER_PFX=$(APPVER_MAJOR).$(APPVER_MINOR).$(APPVER_BUILD)
ifeq (,$(APPVER_BETA))
  APPVER=$(APPVER_PFX)
else
  APPVER=$(APPVER_PFX)-beta$(APPVER_BETA)
endif
APPVER_MS_STRING=\
  $(APPVER_PFX).$(APPVER_REVISION)
APPVER_MS_FILE=\
  $(APPVER_MAJOR),$(APPVER_MINOR),$(APPVER_BUILD),$(APPVER_REVISION)
APPVER_MS_PRODUCT=\
  $(APPVER_MAJOR),$(APPVER_MINOR),$(APPVER_BUILD),$(APPVER_REVISION)
RELEASE=$(1)-$(APPVER)
RELEASE-PREFIX=$(1)/$(call RELEASE,$(2))/$(call RELEASE,$(2))
