/*
 * yasapi_uuid.c
 *
 * Yet Another (WA)SAPI (YASAPI) New Technology (NT) Output (out_yasapi-nt)
 * Copyright (C) 2015-2018  Peter Belkner (pbelkner@snafu.de)
 *
 * out_yasapi-nt is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * out_yasapi-nt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with out_yasapi-nt.  If not, see <https://www.gnu.org/licenses/>.
 */
#if ! defined (_MSC_VER) // [
#include <initguid.h>
#endif // ]
#include <yasapi.h>

#if defined (_MSC_VER) // [
const CLSID CLSID_MMDeviceEnumerator=__uuidof(MMDeviceEnumerator);
const IID IID_IMMDeviceEnumerator=__uuidof(IMMDeviceEnumerator);
const IID IID_IAudioClient=__uuidof(IAudioClient);
const IID IID_IAudioClock=__uuidof(IAudioClock);
#if defined (YASAPI_SIMPLE_AUDIO_VOLUME) // [
const IID IID_ISimpleAudioVolume=__uuidof(ISimpleAudioVolume);
#endif // ]
#if defined (YASAPI_AUDIO_ENDPOINT_VOLUME) // [
const IID IID_IAudioEndpointVolume=__uuidof(IAudioEndpointVolume);
#endif // ]
const IID IID_IAudioRenderClient=__uuidof(IAudioRenderClient);
#if defined (YASAPI_FILE_OPEN_DIALOG) // [
const CLSID CLSID_FileOpenDialog=__uuidof(FileOpenDialog);
const IID IID_IFileDialog=__uuidof(IFileDialog);
#endif // ]
#else // ] {
const CLSID CLSID_MMDeviceEnumerator;
const IID IID_IMMDeviceEnumerator;
const IID IID_IAudioClient;
const IID IID_IAudioClock;
#if defined (YASAPI_SIMPLE_AUDIO_VOLUME) // [
const IID IID_ISimpleAudioVolume;
#endif // ]
#if defined (YASAPI_AUDIO_ENDPOINT_VOLUME) // [
const IID IID_IAudioEndpointVolume;
#endif // ]
const IID IID_IAudioRenderClient;
#if defined (YASAPI_FILE_OPEN_DIALOG) // [
const CLSID CLSID_FileDialog;
const IID IID_IFileDialog;
#endif // ]
#endif // ]
